<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

define('ROOT', str_replace(array('\\', '//'), '/', getcwd()).'/');

if (file_exists(ROOT.'__incfiles/core.php')) {
	require_once(ROOT.'__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

$row = mysql_fetch_assoc(mysql_query("SELECT * FROM `".SQLprefixTable."files` WHERE `id`='".$id."'"));

if (!is_file($row['path'])) {
	error('Файл не найден!');
}

require_header('Скачать файл '.htmlspecialchars($row['name']));

if (!isset($_COOKIE['view_'.$id])) {
	mysql_query("UPDATE `".SQLprefixTable."files` SET `count`=`count`+'1' WHERE `id`='".$id."'");
	setCookie('view_'.$id, time(), time() + 3600 * 25 * 365, '/');
}

$ext = strtolower(pathinfo($row['path'], PATHINFO_EXTENSION));
$dir = pathinfo($row['path'], PATHINFO_DIRNAME);
$filename = pathinfo($row['path'], PATHINFO_BASENAME);

echo '<div class="menu">
<b>Скачан:</b> '.GetName($row['load'], 'раз', 'раза', 'раз').'<br/>
<b>Формат:</b> '.$ext.'<br/>
<b>Просмотрен:</b> '.GetName($row['count'], 'раз', 'раза', 'раз').'<br/>
<b>Добавлен:</b> '.clock($row['dateupload']).'</div>';

if (!isset($_COOKIE['rt_'.$id])) {

	if (isset($_GET['rate'])) {
		
		if ($_GET['rate'] == 'minus') {
			mysql_query("UPDATE `".SQLprefixTable."files` SET `rate`=`rate`-'1' WHERE `id`='".$id."'");
		} else {
			mysql_query("UPDATE `".SQLprefixTable."files` SET `rate`=`rate`+'1' WHERE `id`='".$id."'");
		}
	
		setCookie('rt_'.$id, time(), time() + 3600 * 24 * 365, '/');
		header('Location: '.SCRIPT.'/view/'.$id.'/');
	}

}

echo '<div class="menu">';

if (isset($_COOKIE['rt_'.$id])) {
	echo 'Рейтинг: ['.$row['rate'].']';
} else {
	echo 'Полезный файл?<br/><a href="'.SCRIPT.'/view/'.$id.'/plus.rate" style="color:green">Да</a> ['.$row['rate'].'] <a href="'.SCRIPT.'/view/'.$id.'/minus.rate" style="color:red">Нет</a>';
}

echo '</div>';

if (is_file($set['screen'].'/'.$filename.'.gif') || is_file($set['screen'].'/'.$filename.'.GIF')) {
	echo '<div class="menu"><img src="'.SCRIPT.'/'.$filename.'.gif.image" alt="'.$ext.'"/></div>';
}
else if (is_file($set['screen'].'/'.$filename.'.jpg') || is_file($set['screen'].'/'.$filename.'.JPG')) {
	echo '<div class="menu"><img src="'.SCRIPT.'/'.$filename.'.jpg.image" alt="'.$ext.'"/></div>';
}
else if (is_file($set['screen'].'/'.$filename.'.png') || is_file($set['screen'].'/'.$filename.'.PNG')) {
	echo '<div class="menu"><img src="'.SCRIPT.'/'.$filename.'.png.image" alt="'.$ext.'"/></div>';
}
else if (is_file($set['screen'].'/'.$filename.'.jpeg') || is_file($set['screen'].'/'.$filename.'.JPEG')) {
	echo '<div class="menu"><img src="'.SCRIPT.'/'.$filename.'.jpeg.image" alt="'.$ext.'"/></div>';
}

if (is_file(ROOT . $set['about'].'/'.$filename.'.txt')) {
	echo '<div class="menu"><b>Описание:</b><br/>'.nl2br(htmlspecialchars(file_get_contents(SCRIPT.'/'.$set['about'].'/'.$filename.'.txt'))).'</div>';
}

if ($ext == 'gif' || $ext == 'jpeg' || $ext == 'jpg' || $ext == 'png') {

	if (file_exists(ROOT.'modules/image.php')) {
		require_once(ROOT.'modules/image.php');
	} else {
		echo '<div class="error">Немогу подключить инфайл!</div>';
	}

}
else if ($ext == 'mp3' || $ext == 'wav') {
	
	if (file_exists(ROOT.'modules/music.php')) {
		require_once(ROOT.'modules/music.php');
	} else {
		echo '<div class="error">Немогу подключить инфайл!</div>';
	}
	
}
else if ($ext == 'jar') {
	
	if (file_exists(ROOT.'modules/jar.php')) {
		require_once(ROOT.'modules/jar.php');
	} else {
		echo '<div class="error">Немогу подключить инфайл!</div>';
	}
	
}
else if ($ext == 'txt') {
	
	if (file_exists(ROOT.'modules/text.php')) {
		require_once(ROOT.'modules/text.php');
	} else {
		echo '<div class="error">Немогу подключить инфайл!</div>';
	}
	
}
else if ($ext == '3gp' || $ext == 'avi' || $ext == 'mp4' || $ext == 'flv') {
	
	if (file_exists(ROOT.'modules/video.php')) {
		require_once(ROOT.'modules/video.php');
	} else {
		echo '<div class="error">Немогу подключить инфайл!</div>';
	}
	
}
else if ($ext == 'thm' || $ext == 'nth') {

	if (file_exists(ROOT.'modules/theme.php')) {
		require_once(ROOT.'modules/theme.php');
	} else {
		echo '<div class="error">Немогу подключить инфайл!</div>';
	}
	
}
else if ($ext == 'zip') {
	
	if (file_exists(ROOT.'modules/archive.php')) {
		require_once(ROOT.'modules/archive.php');
	} else {
		echo '<div class="error">Немогу подключить инфайл!</div>';
	}
	
}
else {
	echo '<div class="menu"><img src="'.SCRIPT.'/images/load.gif" alt=""/> <a href="'.SCRIPT.'/'.$id.'.load">Скачать</a> ('.size($row['size']).')</a></div>';
}

$count = mysql_fetch_row(mysql_query("SELECT COUNT(`id`) FROM `".SQLprefixTable."comment` WHERE `ref`='".$id."'"));

echo '<div class="menu"><img src="'.SCRIPT.'/images/comment.gif" alt=""/> <a href="'.SCRIPT.'/'.$id.'.comment">Комментарии</a> ['.$count[0].']</div>';

$back = mysql_fetch_row(mysql_query("SELECT (`id`) FROM `".SQLprefixTable."files` WHERE `path`='".mysql_real_escape_string($dir.'/')."' LIMIT 1"));

echo '<div class="block">
<a href="'.SCRIPT.'/'.$back[0].'/">В категорию</a><br/>
<a href="'.SCRIPT.'">Все загрузки</a>
</div>';

require_footer();
?>